import request from '../../utils/request'
import apis from '../../config/api'

export default {
  namespaced: true,
  state: {
    echartsInfo: {},
  },
  mutations: {
    updateList (state, payload) {
      state.echartsInfo = payload
    },
  },
  actions: {
    setDetailNull ({ commit }) {
      commit('updateList', {})
    },
    getIndexEcharts ({ commit }, payload) {
      return new Promise((resolve, reject) => {
        request({
          ...apis.indexEcharts.list,
          params: payload,
        }).then((data) => {
          commit('updateList', data)
          resolve(data)
        }).catch((err) => {
          const message = err.message || err.msg
          if (typeof message === 'string') {
            reject(message)
          }
        })
      })
    },
    // changeExchangeStatus (_, payload) {
    //   return new Promise((resolve, reject) => {
    //     request({
    //       ...apis.exchange.change,
    //       data: payload,
    //     }).then((data) => {
    //       resolve(data)
    //     }).catch((err) => {
    //       const message = err.message || err.msg

    //       if (typeof message === 'string') {
    //         reject(message)
    //       }
    //     })
    //   })
    // },
    // verifyById (_, payload) {
    //   return new Promise((resolve, reject) => {
    //     request({
    //       ...apis.exchange.update,
    //       urlData: payload,
    //     }).then((data) => {
    //       resolve(data)
    //     }).catch((err) => {
    //       reject(err)
    //     })
    //   })
    // }
  }
}